function setup()
	--make the ruined planet beneath the green one, all sneaky-like
	room.addActor()
	--actor.setpiece = 1
	actor.setEffectIcon("mars1.png")
	actor.randomizePlacement = 0
	actor.x = 0
	actor.y = 0
	actor.scale = .15

	--so when this green one gets blown up the ruined one shows
	room.addActor()
	actor.nodeName = "VILE NEMESIS COLONY PLANET"
	actor.setEffectIcon("greenplanet.png")
	actor.randomizePlacement = 0
	actor.x = 0
	actor.y = 0
	actor.scale = .2
	actor.rot = 180
	actor.addTerrain("backdrop_greenplanet")
	--actor.addTerrain("backdrop_colonies")
	--actor.behavior = "colonies"
	
	actor.addEvent("music_mission4.ogg", 0)
	
	--press a button to destroy the planet
	actor.addEvent("bigredbutton", 5)
end